package com.docus.server.message.busservice;

import com.docus.server.message.controller.vo.SdRyBloodReportVO;
import com.docus.server.message.dto.Message;
import com.docus.server.message.dto.MessageResponse;

import java.util.List;

public interface SdBusinessService {
    /**
     * 顺德人医电子病历提交信息
     *
     * @param message 信息
     * @return 消息处理结果
     */
    MessageResponse recordSubmitHandle(Message message);

    /**
     * 顺德人医护理提交信息
     *
     * @param message 信息
     * @return 消息处理结果
     */
    MessageResponse wsNurseSubmitHandle(Message message);

    /**
     * 根据病案主键，进行和门诊关联关系保存
     * @param patientId 病案主键
     */
    void trInpatientOutPatient(String patientId);

    /**
     * 确认患者是否重症病人，并标识重症病人状态,
     *
     * @param inpatientNo 住院号
     * @param admissTimes 住院次数
     */
    void confirmAndUpdIcuRecordState(String inpatientNo, Integer admissTimes);

    /**
     * 是否是重症病人(重症视图是否有数据)
     *
     * @param inpatientNo 住院号
     * @param admissTimes 住院次数
     * @return 是 true 否 false
     */
    boolean isIcuRecord(String inpatientNo, Integer admissTimes);

    /**
     * 根据病案号查询输血报告单视图
     * @param inpatientNo 住院号
     * @param admissTimes 住院次数
     * @return 血液报告
     */
    List<SdRyBloodReportVO> getBloodView(String inpatientNo, Integer admissTimes);



}
