package com.docus.server.message.config;

import lombok.Getter;
import lombok.Setter;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 应用业务配置
 *
 * @author wyb
 */
@Component
@Getter
@Setter
public class SdRyReportQueryConfig {
    /**
     * 同一个来源采集，区分婴儿来源的后缀
     */
    public static String BABY_COLLECTOR_ID_SUFFIX = "_B";


    @Value("${sdry.report-index-query.wsdl-addr:}")
    private String queryReportIndexWsdlAddr;
    @Value("${sdry.report-index-query.namespace-uri:}")
    private String queryReportIndexWsdlNamespaceUri;
    @Value("${sdry.report-index-query.operationName:}")
    private String queryReportIndexWsdlOperationName;
    @Value("${sdry.report-index-query.interval:1000}")
    private int queryReportIndexInterval;
}
