package com.docus.server.message.controller;

import com.docus.server.message.busservice.NkBusinessService;
import com.docus.server.message.busservice.SdBusinessService;
import com.docus.server.message.dto.Message;
import com.docus.server.message.dto.MessageResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author WYBDEV
 */
@Api("广州脑科医院")
@RestController
@Slf4j
@RequestMapping("/hospital/gznk")
public class GznkHospitalController {

    @Autowired
    private NkBusinessService nkBusinessService;

    @PostMapping("/wsRecordSubmit/do")
    @ApiOperation("广州脑科电子病例提交消息接收")
    public MessageResponse wsRecordSubmit(@RequestBody Message message) {
        log.info("广州脑科电子病例提交消息接收：{}", message);
        return nkBusinessService.recordSubmitHandle(message);
    }


}
