package com.docus.server.message.dao;

import com.docus.infrastructure.core.db.dao.IBaseDao;
import com.docus.server.message.entity.TrInpatientOutpatient;

import java.util.List;

/**
 * @author wyb
 */
public interface TrInpatientOutpatientDao extends IBaseDao<TrInpatientOutpatient> {
    /**
     * 插入住院和门诊关系
     * @param trInpatientOutpatientList 住院和门诊的关联信息
     */
    void insertOrUpdateTrInpatientOutpatient(List<TrInpatientOutpatient> trInpatientOutpatientList);

    /**
     * 根据住院病案主键删除和门诊关联
     * @param inpatientId 住院病案主键
     */
    void deleteTrInpatientOutpatientByInpatientId(String inpatientId);
    /**
     * 根据住院病案主键查询是否已经有关联关系
     * @param inpatientId 住院病案主键
     * @return 存在true 不存在 false
     */
    boolean exists(String inpatientId);
}
