package com.docus.server.message.dto;

import lombok.Data;

/**
 * 病案基础信息查询精准条件，都采用 等于 的匹配方式
 *
 * @author YongBin Wen
 * @date 2024/1/22 14:54
 */
@Data
public class TbasicQrPreciseCondition {
    /**
     * 住院流水号/记账号
     */
    private String jzh;
    /**
     * 住院号
     */
    private String inpatientNo;
    /**
     * 住院次数
     */
    private Integer admissTimes;
    /**
     * 患者姓名
     */
    private String name;
    /**
     * 入院时间范围开始 yyyy-MM-dd HH:mm:ss
     */
    private String admissDateBegin;

    /**
     * 入院时间范围结束 yyyy-MM-dd HH:mm:ss
     */
    private String admissDateEnd;

    /**
     * 出院时间范围开始 yyyy-MM-dd HH:mm:ss
     */
    private String disDateBegin;

    /**
     * 出院时间范围结束 yyyy-MM-dd HH:mm:ss
     */
    private String disDateEnd;
}
