package com.docus.server.message.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 推送配置表
 * </p>
 *
 * @author jiashi
 * @since 2023-02-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="CqcPushConfig对象", description="推送配置表")
public class CqcPushConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ID_WORKER_STR)
    private Long id;

    @ApiModelProperty(value = "业务类型（1退回医生，2退回护理，3退回手麻，4退回重症，5召回推送，6归档推送，7病案室纸质签收推送，8电子病例解档，9护理解档，10电子病历归档，11护理归档）")
    private String businessType;

    @ApiModelProperty(value = "协议类型（1webservice,2http）")
    private String protocolType;

    @ApiModelProperty(value = "命名空间")
    private String namespace;

    @ApiModelProperty(value = "接口地址")
    private String url;

    @ApiModelProperty(value = "方法名")
    private String method;

    @ApiModelProperty(value = "是否启用（0否，1是）")
    private Integer effective;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "创建人")
    private String createUser;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改人")
    private String updateUser;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "参数json")
    private String parameterList;
}
