package com.docus.server.message.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 母婴关系
 * @author wyb
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "MaternalInfantRelationship对象", description = "母婴关系")
public class MaternalInfantRelationship implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "新生儿住院ID")
    private String babyId;

    @ApiModelProperty(value = "新生儿住院ID_住院次数")
    private String babyHisId;

    @ApiModelProperty(value = "母亲住院ID")
    private String momId;

    @ApiModelProperty(value = "母亲住院次数")
    private String parentTimes;

    @ApiModelProperty(value = "母亲住院ID_住院次数")
    private String parentHisId;

    @ApiModelProperty(value = "医院代码")
    private String hospCode;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}
