package com.docus.server.message.feign.dto;

import com.docus.server.message.feign.enums.HospitalSubmitNodeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * 医院提交节点日志添加参数
 *
 * @author 文永斌
 * @date 2023/9/5
 */
@Data
@ApiModel("提交节点日志添加参数")
public class HospitalSubmitNodeLogAddDTO {
    @NotBlank(message = "提交病案主键不能为空！")
    @ApiModelProperty(value = "病案主键",required = true)
    private String patientId;

    @NotNull(message = "提交内容不能为空！")
    @Size(min = 1,message = "提交内容不能为空！")
    @ApiModelProperty(value = "提交内容",required = true)
    private String[] content;

    @NotNull(message = "提交节点不能为空！")
    @ApiModelProperty(value = "提交节点",required = true)
    private HospitalSubmitNodeEnum submitNodeEnum;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
    private String creater;

    /**
     * 创建人名称
     */
    @ApiModelProperty("创建人名称")
    private String createrName;
}
