package com.docus.server.message.feign.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 医院提交节点日志时间线视图对象
 *
 * @author 文永斌
 * @date 2023/9/5
 */
@Data
public class HospitalSubmitNodeLogVO {
    private String date;
    private List<LogVO> logs;


    @Data
    @ApiModel("医院提交节点日志视图对象")
    public static class LogVO {
        /**
         * 病案主键
         */
        @ApiModelProperty("病案主键")
        private String patientId;

        /**
         * 节点代码
         */
        @ApiModelProperty("节点代码")
        private String nodeCode;

        /**
         * 节点名称
         */
        @ApiModelProperty("节点名称")
        private String nodeName;
        /**
         * 年月日，冗余创建时间，进行分组
         */
        @ApiModelProperty("年月日，冗余创建时间，进行分组")
        private String monthDate;

        /**
         * 创建人
         */
        @ApiModelProperty("创建人")
        private String creater;

        /**
         * 创建人名称
         */
        @ApiModelProperty("创建人名称")
        private String createrName;

        /**
         * 创建时间
         */
        @ApiModelProperty("创建时间")
        private String createTime;

        /**
         * 日志内容
         */
        @ApiModelProperty("日志内容")
        private String content;
    }
}
