package com.docus.server.message.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.docus.server.message.dto.SdRyBloodReportDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author WYBDEV
 */
@DS("blood")
@Mapper
public interface SdRyBloodMapper {
    /**
     * 根据住院号和住院次数查询血液报告单
     * @param inpatientNo 病案号
     * @param admissions 住院次数
     * @param where 其他查询条件
     * @return 血液报告单
     */
    List<SdRyBloodReportDTO> getByInpatientNoAndAdmissions(@Param("inpatientNo") String inpatientNo,
                                                           @Param("admissions") Integer admissions,
                                                           @Param("where") String where);
}
