package com.docus.server.message.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

@DS("icu")
@Mapper
public interface SdRyIcuMapper {
    Map<String,Object> getById(@Param("id") String patientId);

    /**
     * 根据病案号和住院次数统计icu视图数据数量
     * @param inpatientNo 病案号
     * @param admissTimes 住院次数
     * @return icu视图数据数量
     */
    Integer countByInpNoAndAdmissTimes(@Param("inpatientNo")String inpatientNo, @Param("admissTimes") Integer admissTimes);
}
