package com.docus.server.message.rpc;

import com.docus.server.message.rpc.request.HisZyCyYzRequest;
import com.docus.server.message.rpc.response.HisZyCyYzResponse;

import java.util.List;

/**
 * 顺德人医远程调用接口
 * @author wyb
 */
public interface ShunDePeopleRpc {
    /**
     * 提供病人住院出院医嘱查询
     * @param request 请求参数
     * @return 返回值
     */
    HisZyCyYzResponse hisZyCyYz(HisZyCyYzRequest request);

    /**
     * 顺德人医输血报告 根据条件查询返回文件流
     * @param fileName 文件名
     * @return 文件流
     */
    byte[] getBloodReport(String fileName);


    /**
     * 根据顺德人医第三方索引查询门诊报告交叉索引(门诊号)
     *
     * @param sdRyIndex 顺德人医第三方索引
     * @return 门诊报告交叉索引
     */
    List<String> getSdRyMzReportJxIds(String sdRyIndex);
}
